#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QStandardItemModel>

#include <qt_windows.h>
#include <qlistwidget.h>
#include <QComboBox>
#include <QPushButton>
#include <QPlainTextEdit>
#include "../CyAPI_lib_cpp/inc/CyAPI.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    void UpdateListView(QListWidget *listWidget);

public slots:
    void listItemClicked(QListWidgetItem *item);
    void epSelectionChanged(const QString& epString);
    void transferButtonClicked(void);

private:
    Ui::MainWindow *ui;
    QListWidget * listWidget;
    QComboBox * comboBox;
    QPushButton * pushButton;
    QPlainTextEdit * plainTextEdit;
    CCyUSBEndPoint * EndPoint;
    CCyUSBDevice *USBDevice;
};

#endif // MAINWINDOW_H
